Skip to main content
GET
/
spending_plans
List spending plans
curl --request GET \
  --url https://int-data.moneydesktop.com/spending_plans \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "spending_plans": [
    {
      "created_at": "2016-10-13T18:08:00.000Z",
      "current_iteration_number": 1,
      "guid": "SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262",
      "updated_at": "2016-10-13T18:09:00+00:00",
      "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_entries": 1,
    "total_pages": 1
  }
}
This endpoint returns a list of information about all spending_plan resources associated with the user for which the Nexus session is open.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Response

200 - application/vnd.mx.nexus.v1+json

OK

spending_plans
object[]
pagination
object